Package: org.codehaus.groovy.ant

## [Java] Class CompileTaskSupport

- org.codehaus.groovy.ant.CompileTaskSupport

- Support for compilation related tasks.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Path` | `classpath` |
    `protected CompilerConfiguration` | `config` |
    `protected File` | `destdir` |
    `protected boolean` | `failOnError` |
    `protected LoggingHelper` | `log` |
    `protected Path` | `src` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Path` | `classpath`
    `Path` | `srcdir`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `protected GroovyClassLoader` | `createClassLoader()`
    `` | `Path` | `createClasspath()`
    `` | `CompilerConfiguration` | `createConfiguration()`
    `` | `Path` | `createSrc()`
    `` | `void` | `execute()`
    `` | `Path` | `getClasspath()`
    `` | `boolean` | `getFailonerror()`
    `` | `Path` | `getSrcdir()`
    `` | `protected void` | `handleException(Exception e)`
    `` | `void` | `setClasspath(Path path)`
    `` | `void` | `setClasspathRef(Reference r)`
    `` | `void` | `setDestdir(File dir)`
    `` | `void` | `setFailonerror(boolean fail)`
    `` | `void` | `setSrcdir(Path dir)`
    `` | `protected void` | `validate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `setCaseSensitive, setExcludes, setIncludes, addDate, setFollowSymlinks, setProject, getSelectors, addSelector, XsetIgnore, XsetItems, createExclude, addCustom, addContains, addDepth, addMajority, addContainsRegexp, addModified, addPresent, addNone, addDepend, addOr, createPatternSet, setIncludesfile, createInclude, setDefaultexcludes, selectorCount, appendSelector, addSize, createExcludesFile, selectorElements, createIncludesFile, hasSelectors, addAnd, addNot, setExcludesfile, addDifferent, addFilename, add, addType, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, setOwningTarget, setTaskType, getOwningTarget, maybeConfigure, setTaskName, getTaskType, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, getDescription, getProject, setDescription, setLocation, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, setOwningTarget, setTaskType, getOwningTarget, maybeConfigure, setTaskName, getTaskType, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, getDescription, getProject, setDescription, setLocation, setProject, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Path classpath

    - #### protected CompilerConfiguration config

    - #### protected File destdir

    - #### protected boolean failOnError

    - #### protected final LoggingHelper log

    - #### protected Path src

  - ### Property Detail

    - #### Path classpath

    - #### Path srcdir

  - ### Method Detail

    - #### protected void compile()

    - #### protected GroovyClassLoader createClassLoader()

    - #### public Path createClasspath()

    - #### public CompilerConfiguration createConfiguration()

    - #### public Path createSrc()

    - #### public void execute()

    - #### public Path getClasspath()

    - #### public boolean getFailonerror()

    - #### public Path getSrcdir()

    - #### protected void handleException(Exception e)

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setFailonerror(boolean fail)

    - #### public void setSrcdir(Path dir)

    - #### protected void validate()